<?php
namespace chat\system\message\type;
use chat\data\message\Message;
use wcf\data\user\UserProfile;
use wcf\system\WCF;

/**
 * dice message type
 *
 * @author		Daniel (Keito) Lang
 * @copyright	2014-2019 da-lang.net
 * @package		net.dalang.chat.command.dice
 */
class DiceMessageType implements IMessageType, IDeletableMessageType {
	use TCanSeeInSameRoom;
	use TDefaultPayload;
	
	/**
	 * @inheritdoc
	 */
	public function getJavaScriptModuleName() {
		return 'Dalang.net/Chat/MessageType/Dice';
	}
	
	/**
	 * @inheritdoc
	 */
	public function canDelete(Message $message, UserProfile $user = null) {
		if ($user === null) $user = new UserProfile(WCF::getUser());
		
		return $user->getPermission('mod.chat.canDelete');
	}
}